Subject: Re: bug#76523: 30.0.93; with-native-compilation=aot breaks some Lisp

From: Stefan Kangas <[email-masked]>
Date: Sun, 9 Mar 2025 10:22:00 -0700

Stefan Kangas <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Stefan Kangas <[email-masked]>
>>> Date: Mon, 24 Feb 2025 19:07:51 +0000
>>> Cc: [email-masked], [email-masked], [email-masked],
>>> 	Eli Zaretskii <[email-masked]>
>>>
>>> >> Which commit fixes this on master?
>>> >
>>> > 53a5dada413662389a17c551a00d215e51f5049f
>>> >     Fix compilation errors due to insufficient compiler safety (bug#63288)
>>>
>>> Thanks.  Eli, Andrea, WDYT about cherry-picking this to emacs-30?
>>
>> It's just a build issue.  Why is it urgent to backport it?
>
> I don't think it's urgent, but looking at the fix it seems relatively
> straightforward so I don't see much harm either.  Please cherry-pick it
> if you agree, if not I think we can live it.

This bug breaks the Emacs 31 package in Fedora:
    https://bugzilla.redhat.com/show_bug.cgi?id=2350949

It's safe to cherry-pick this bug fix to emacs-30.